--- 
--- Insert Data
--- 
INSERT INTO activity_colors VALUES 
  (1,'ff0000','Red'),
  (2,'ff8000','Orange'),
  (3,'ffff00','Yellow'),
  (4,'80ff00','Lime'),
  (5,'00ff00','Green'),
  (6,'00ffff','Aqua'),
  (7,'0080ff','Sky'),
  (8,'0000ff','Blue'),
  (9,'8000ff','Purple'),
  (10,'ff00ff','Pink'),
  (11,'660000','Dark red'),
  (12,'663300','Dark orange'),
  (13,'666600','Dark yellow'),
  (14,'336600','Dark lime'),
  (15,'006600','Dark green'),
  (16,'006666','Dark aqua'),
  (17,'000066','Dark blue'),
  (18,'660066','Dark pink');

INSERT INTO alerts VALUES 
  (0,'None','ʤ'),
  (1,'0 second before','0'),
  (2,'5 minutes before','5ʬ'),
  (3,'10 minutes before','10ʬ'),
  (4,'15 minutes before','15ʬ'),
  (5,'30 minutes before','30ʬ'),
  (6,'45 minutes before','45ʬ'),
  (7,'1 hour before','1'),
  (8,'2 hours before','2'),
  (9,'3 hours before','3'),
  (10,'6 hours before','6'),
  (11,'12 hours before','12'),
  (12,'1 day before','1'),
  (13,'2 days before','2'),
  (14,'3 days before','3'),
  (15,'1 week before','1'),
  (16,'2 weeks before','2'),
  (17,'3 weeks before','3'),
  (18,'1 month before','1');  

INSERT INTO classifications VALUES 
  (1,'T','Today'),
  (2,'T','Week'),
  (3,'T','Month'),
  (4,'T','Hold'),
  (5,'T','Someday'),
  (9,'T','Inbox'),
  (21,'T','Archive'),
  (99,'T','Trash box');

INSERT INTO roles VALUES 
  (1,'1','ADMIN','Administrator'),
  (2,'1','USER','Standard User'),
  (3,'1','GUEST','Guest'),
  (11,'2','ADMIN','Administrator'),
  (12,'2','USER','Standard User'),
  (13,'2','GUEST','Guest'); 

INSERT INTO task_statuses VALUES 
  (1,'To Do',''),
  (2,'Doing',''),
  (3,'Done',''),
  (4,'Pending','α');   

INSERT INTO timezones VALUES 
  (1,'NZDT',780,'n/a','n/a','New Zealand Daylight Time','˥塼ɲƻ'),
  (2,'IDLE',720,'n/a','n/a','International Date Line East','ѹ¦'),
  (3,'NZST',720,'n/a','n/a','New Zealand Std Time','˥塼ɸ'),
  (4,'NZT',720,'n/a','n/a','New Zealand Time','˥塼ɻ'),
  (5,'AESST',660,'n/a','n/a','Australia Eastern Summer Std Time','ȥꥢɸƻ'),
  (6,'ACSST',630,'n/a','n/a','Central Australia Summer Std Time','ȥꥢɸƻ'),
  (7,'CADT',630,'n/a','n/a','Central Australia Daylight Savings Time','ȥꥢƻ'),
  (8,'SADT',630,'n/a','n/a','South Australian Daylight Time','ȥꥢƻ'),
  (9,'AEST',600,'n/a','n/a','Australia Eastern Std Time','ȥꥢɸ'),
  (10,'EAST',600,'n/a','n/a','East Australian Std Time','ȥꥢɸ'),
  (11,'GST',600,'n/a','n/a','Guam Std Time/USSR Zone 9','ɸ֡ӥȥॾ9');
INSERT INTO timezones VALUES 
  (12,'LIGT',600,'n/a','n/a','Melbourne Australia','ȥꥢܥ'),
  (13,'ACST',570,'n/a','n/a','Central Australia Std Time','ȥꥢɸ'),
  (14,'SAST',570,'n/a','n/a','South Australia Std Time','ȥꥢɸ'),
  (15,'CAST',570,'n/a','n/a','Central Australia Std Time','ȥꥢɸ'),
  (16,'AWSST',540,'n/a','n/a','Australia Western Summer Std Time','ȥꥢɸ'),
  (17,'JST',540,'n/a','n/a','Japan Std Time/USSR Zone 8','ɸ֡ӥȥॾ8'),
  (18,'KST',540,'n/a','n/a','Korea Standard Time ','ڹɸ'),
  (19,'WDT',540,'n/a','n/a','West Australian Daylight Time ','ȥꥢƻ'),
  (20,'MT',510,'n/a','n/a','Moluccas Time','å'),
  (21,'AWST',480,'n/a','n/a','Australia Western Std Time','ȥꥢɸ'),
  (22,'CCT',480,'n/a','n/a','China Coastal Time','Ѵ߻');
INSERT INTO timezones VALUES 
  (23,'WADT',480,'n/a','n/a','West Australian Daylight Time','ȥꥢƻ'),
  (24,'WST',480,'n/a','n/a','West Australian Std Time','ȥꥢɸ'),
  (25,'JT',450,'n/a','n/a','Java Time',''),
  (26,'WAST',420,'n/a','n/a','West Australian Std Time','ȥꥢɸ'),
  (27,'IT',210,'n/a','n/a','Iran Time',''),
  (28,'BT',180,'n/a','n/a','Baghdad Time','Хåɻ'),
  (29,'EETDST',180,'n/a','n/a','Eastern Europe Daylight Savings Time','衼åѲƻ'),
  (30,'CETDST',120,'n/a','n/a','Central European Daylight Savings Time','衼åѲƻ'),
  (31,'EET',120,'n/a','n/a','Eastern Europe/USSR Zone 1','衼åѻ֡ӥȥॾ1'),
  (32,'FWT',120,'n/a','n/a','French Winter Time','ե߻'),
  (33,'IST',120,'n/a','n/a','Israel Std Time ','饨ɸ'),
  (34,'MEST',120,'n/a','n/a','Middle Europe Summer Time','衼åѲƻ');
INSERT INTO timezones VALUES 
  (35,'METDST',120,'n/a','n/a','Middle Europe Daylight Time','衼åѲƻ'),
  (36,'SST',120,'n/a','n/a','Swedish Summer Time','ǥƻ'),
  (37,'BST',60,'n/a','n/a','British Summer Time','ꥹƻ'),
  (38,'CET',60,'n/a','n/a','Central European Time','衼åѻ'),
  (39,'DNT',60,'n/a','n/a','Dansk Normal Tid','ǥޡɸ'),
  (40,'FST',60,'n/a','n/a','French Summer Time','ե󥹲ƻ'),
  (41,'MET',60,'n/a','n/a','Middle Europe Time','衼åѻ'),
  (42,'MEWT',60,'n/a','n/a','Middle Europe Winter Time','衼å߻'),
  (43,'MEZ',60,'n/a','n/a','Middle Europe Zone','衼åѻ'),
  (44,'NOR',60,'n/a','n/a','Norway Standard Time','Υ륦ɸ'),
  (45,'SET',60,'n/a','n/a','Seychelles Time',''),
  (46,'SWT',60,'n/a','n/a','Swedish Winter Time ','ǥ߻'),
  (47,'WETDST',60,'n/a','n/a','Western Europe Daylight Savings Time','衼åѲƻ');
INSERT INTO timezones VALUES 
  (48,'GMT',0,'n/a','n/a','Greenwich Mean Time','˥åɸ'),
  (49,'WET',0,'n/a','n/a','Western Europe','衼å'),
  (50,'WAT',-60,'n/a','n/a','West Africa Time','եꥫ'),
  (51,'NDT',-150,'n/a','n/a','Newfoundland Daylight Time','˥塼եɥɲƻ'),
  (52,'ADT',-180,'n/a','n/a','Atlantic Daylight Time','βƻ'),
  (53,'NFT',-210,'n/a','n/a','Newfoundland Standard Time','˥塼եɥɸ'),
  (54,'NST',-210,'n/a','n/a','Newfoundland Standard Time','˥塼եɥɸ'),
  (55,'AST',-240,'n/a','n/a','Atlantic Std Time (Canada)','ɸ (ʥ)'),
  (56,'EDT',-240,'n/a','n/a','Eastern Daylight Time','ꥫƻ'),
  (57,'CDT',-300,'n/a','n/a','Central Daylight Time','ꥫƻ'),
  (58,'EST',-300,'n/a','n/a','Eastern Standard Time','ꥫɸ'),
  (59,'CST',-360,'n/a','n/a','Central Std Time ','ꥫɸ'),
  (60,'MDT',-360,'n/a','n/a','Mountain Daylight Time','ꥫɸ');
INSERT INTO timezones VALUES 
  (61,'MST',-420,'n/a','n/a','Mountain Standard Time ','ꥫɸ'),
  (62,'PDT',-420,'n/a','n/a','Pacific Daylight Time','ꥫʿβƻ'),
  (63,'PST',-480,'n/a','n/a','Pacific Std Time','ꥫʿɸ'),
  (64,'YDT',-480,'n/a','n/a','Yukon Daylight Time','桼ƻ'),
  (65,'HDT',-540,'n/a','n/a','Hawaii/Alaska Daylight Time','ϥ磻/饹ƻ'),
  (66,'YST',-540,'n/a','n/a','Yukon Standard Time','桼ɸ'),
  (67,'AHST',-600,'n/a','n/a','Alaska-Hawaii Std Time','饹-ϥ磻ɸ'),
  (68,'CAT',-600,'n/a','n/a','Central Alaska Time','饹'),
  (69,'NT',-660,'n/a','n/a','Nome Time','Ρ'),
  (70,'IDLW',-720,'n/a','n/a','International Date Line West','ѹ¦');

-- add user.
INSERT INTO users (
    ID
   ,LOGIN_ID
   ,PASSWORD
   ,EMAIL
   ,LAST_NAME
   ,MIDDLE_NAME
   ,FIRST_NAME
   ,PHOTO_IMG_URL
   ,DEL_FLAG
   ,REGISTERED
   ,MODIFIED
   ,MODIFIED_USER_ID
) VALUES (
   1
   ,'admin_user'
   ,'admin_user'
   ,'admin@mail.org'
   ,'User'
   ,' '
   ,'Administrator'
   ,''
   ,'0'
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,1
);
INSERT INTO user_roles (USER_ID, ROLE_ID) VALUES (1,1);

-- add activity.
INSERT INTO activities (
    ID
   ,NAME
   ,DESCRIPTION
   ,START_DATE
   ,END_DATE
   ,DEL_FLAG
   ,REGISTERED
   ,MODIFIED
   ,MODIFIED_USER_ID
) VALUES (
    1
   ,'Test Project'
   ,'Description'
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end 
   ,'99999999'
   ,'0'
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,1
);

-- add activity member.
insert into activity_members (
    ACTIVITY_ID
   ,USER_ID 
   ,ROLE_ID
   ,START_DATE
   ,REGISTERED
   ,MODIFIED 
   ,MODIFIED_USER_ID
) values (
    1
   ,1
   ,1
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,1
);

-- add activity relation.
INSERT INTO activity_relations (
    ACTIVITY_ID
   ,COLOR_ID 
   ,USER_ID
) VALUES (
    1
   ,1
   ,1
);

INSERT INTO classifications VALUES (0, 'T', 'Tasks');

-- tags master. GTD context.
INSERT INTO tags (value) VALUES('@phone');
INSERT INTO tags (value) VALUES('@fax');
INSERT INTO tags (value) VALUES('@web');
INSERT INTO tags (value) VALUES('@home');
INSERT INTO tags (value) VALUES('@office');
INSERT INTO tags (value) VALUES('@starbucks');
INSERT INTO tags (value) VALUES('@blog');
INSERT INTO tags (value) VALUES('@sns');
INSERT INTO tags (value) VALUES('@skype');