--- 
--- Insert Data
--- 
INSERT INTO activity_colors VALUES 
  (1,'ff0000','Red'),
  (2,'ff8000','Orange'),
  (3,'ffff00','Yellow'),
  (4,'80ff00','Lime'),
  (5,'00ff00','Green'),
  (6,'00ffff','Aqua'),
  (7,'0080ff','Sky'),
  (8,'0000ff','Blue'),
  (9,'8000ff','Purple'),
  (10,'ff00ff','Pink'),
  (11,'660000','Dark red'),
  (12,'663300','Dark orange'),
  (13,'666600','Dark yellow'),
  (14,'336600','Dark lime'),
  (15,'006600','Dark green'),
  (16,'006666','Dark aqua'),
  (17,'000066','Dark blue'),
  (18,'660066','Dark pink');

INSERT INTO alerts VALUES 
  (0,'None','Ȃ'),
  (1,'0 second before','0bO'),
  (2,'5 minutes before','5O'),
  (3,'10 minutes before','10O'),
  (4,'15 minutes before','15O'),
  (5,'30 minutes before','30O'),
  (6,'45 minutes before','45O'),
  (7,'1 hour before','1ԑO'),
  (8,'2 hours before','2ԑO'),
  (9,'3 hours before','3ԑO'),
  (10,'6 hours before','6ԑO'),
  (11,'12 hours before','12ԑO'),
  (12,'1 day before','1O'),
  (13,'2 days before','2O'),
  (14,'3 days before','3O'),
  (15,'1 week before','1TԑO'),
  (16,'2 weeks before','2TԑO'),
  (17,'3 weeks before','3TԑO'),
  (18,'1 month before','1O');  

INSERT INTO classifications VALUES 
  (1,'T','Today'),
  (2,'T','Week'),
  (3,'T','Month'),
  (4,'T','Hold'),
  (5,'T','Someday'),
  (9,'T','Inbox'),
  (21,'T','Archive'),
  (99,'T','Trash box');

INSERT INTO roles VALUES 
  (1,'1','ADMIN','Administrator'),
  (2,'1','USER','Standard User'),
  (3,'1','GUEST','Guest'),
  (11,'2','ADMIN','Administrator'),
  (12,'2','USER','Standard User'),
  (13,'2','GUEST','Guest'); 

INSERT INTO task_statuses VALUES 
  (1,'To Do','VK'),
  (2,'Doing',''),
  (3,'Done',''),
  (4,'Pending','ۗ');   

INSERT INTO timezones VALUES 
  (1,'NZDT',780,'n/a','n/a','New Zealand Daylight Time','j[W[hĎ'),
  (2,'IDLE',720,'n/a','n/a','International Date Line East','tύXA'),
  (3,'NZST',720,'n/a','n/a','New Zealand Std Time','j[W[hW'),
  (4,'NZT',720,'n/a','n/a','New Zealand Time','j[W[h'),
  (5,'AESST',660,'n/a','n/a','Australia Eastern Summer Std Time','I[XgAWĎ'),
  (6,'ACSST',630,'n/a','n/a','Central Australia Summer Std Time','I[XgAWĎ'),
  (7,'CADT',630,'n/a','n/a','Central Australia Daylight Savings Time','I[XgAĎ'),
  (8,'SADT',630,'n/a','n/a','South Australian Daylight Time','I[XgA암Ď'),
  (9,'AEST',600,'n/a','n/a','Australia Eastern Std Time','I[XgAW'),
  (10,'EAST',600,'n/a','n/a','East Australian Std Time','I[XgAW'),
  (11,'GST',600,'n/a','n/a','Guam Std Time/USSR Zone 9','OAWԁA\rGg^C][9');
INSERT INTO timezones VALUES 
  (12,'LIGT',600,'n/a','n/a','Melbourne Australia','I[XgAA{'),
  (13,'ACST',570,'n/a','n/a','Central Australia Std Time','I[XgAW'),
  (14,'SAST',570,'n/a','n/a','South Australia Std Time','I[XgA암W'),
  (15,'CAST',570,'n/a','n/a','Central Australia Std Time','I[XgAW'),
  (16,'AWSST',540,'n/a','n/a','Australia Western Summer Std Time','I[XgAW'),
  (17,'JST',540,'n/a','n/a','Japan Std Time/USSR Zone 8','{WԁA\rGg^C][8'),
  (18,'KST',540,'n/a','n/a','Korea Standard Time ','؍W'),
  (19,'WDT',540,'n/a','n/a','West Australian Daylight Time ','I[XgAĎ'),
  (20,'MT',510,'n/a','n/a','Moluccas Time','bJ'),
  (21,'AWST',480,'n/a','n/a','Australia Western Std Time','I[XgAW'),
  (22,'CCT',480,'n/a','n/a','China Coastal Time','pݎ');
INSERT INTO timezones VALUES 
  (23,'WADT',480,'n/a','n/a','West Australian Daylight Time','I[XgAĎ'),
  (24,'WST',480,'n/a','n/a','West Australian Std Time','I[XgAW'),
  (25,'JT',450,'n/a','n/a','Java Time','W'),
  (26,'WAST',420,'n/a','n/a','West Australian Std Time','I[XgAW'),
  (27,'IT',210,'n/a','n/a','Iran Time','C'),
  (28,'BT',180,'n/a','n/a','Baghdad Time','oO_bh'),
  (29,'EETDST',180,'n/a','n/a','Eastern Europe Daylight Savings Time','[bpĎ'),
  (30,'CETDST',120,'n/a','n/a','Central European Daylight Savings Time','[bpĎ'),
  (31,'EET',120,'n/a','n/a','Eastern Europe/USSR Zone 1','[bpԁA\rGg^C][1'),
  (32,'FWT',120,'n/a','n/a','French Winter Time','tX~'),
  (33,'IST',120,'n/a','n/a','Israel Std Time ','CXGW'),
  (34,'MEST',120,'n/a','n/a','Middle Europe Summer Time','[bpĎ');
INSERT INTO timezones VALUES 
  (35,'METDST',120,'n/a','n/a','Middle Europe Daylight Time','[bpĎ'),
  (36,'SST',120,'n/a','n/a','Swedish Summer Time','XEF[fĎ'),
  (37,'BST',60,'n/a','n/a','British Summer Time','CMXĎ'),
  (38,'CET',60,'n/a','n/a','Central European Time','[bp'),
  (39,'DNT',60,'n/a','n/a','Dansk Normal Tid','f}[NW'),
  (40,'FST',60,'n/a','n/a','French Summer Time','tXĎ'),
  (41,'MET',60,'n/a','n/a','Middle Europe Time','[bp'),
  (42,'MEWT',60,'n/a','n/a','Middle Europe Winter Time','[bp~'),
  (43,'MEZ',60,'n/a','n/a','Middle Europe Zone','[bp'),
  (44,'NOR',60,'n/a','n/a','Norway Standard Time','mEF[W'),
  (45,'SET',60,'n/a','n/a','Seychelles Time','ZCVF'),
  (46,'SWT',60,'n/a','n/a','Swedish Winter Time ','XEF[f~'),
  (47,'WETDST',60,'n/a','n/a','Western Europe Daylight Savings Time','[bpĎ');
INSERT INTO timezones VALUES 
  (48,'GMT',0,'n/a','n/a','Greenwich Mean Time','OjbWW'),
  (49,'WET',0,'n/a','n/a','Western Europe','[bp'),
  (50,'WAT',-60,'n/a','n/a','West Africa Time','AtJ'),
  (51,'NDT',-150,'n/a','n/a','Newfoundland Daylight Time','j[t@hhĎ'),
  (52,'ADT',-180,'n/a','n/a','Atlantic Daylight Time','吼mĎ'),
  (53,'NFT',-210,'n/a','n/a','Newfoundland Standard Time','j[t@hhW'),
  (54,'NST',-210,'n/a','n/a','Newfoundland Standard Time','j[t@hhW'),
  (55,'AST',-240,'n/a','n/a','Atlantic Std Time (Canada)','吼mW (Ji_)'),
  (56,'EDT',-240,'n/a','n/a','Eastern Daylight Time','AJĎ'),
  (57,'CDT',-300,'n/a','n/a','Central Daylight Time','AJĎ'),
  (58,'EST',-300,'n/a','n/a','Eastern Standard Time','AJW'),
  (59,'CST',-360,'n/a','n/a','Central Std Time ','AJW'),
  (60,'MDT',-360,'n/a','n/a','Mountain Daylight Time','AJW');
INSERT INTO timezones VALUES 
  (61,'MST',-420,'n/a','n/a','Mountain Standard Time ','AJRxW'),
  (62,'PDT',-420,'n/a','n/a','Pacific Daylight Time','AJmĎ'),
  (63,'PST',-480,'n/a','n/a','Pacific Std Time','AJmW'),
  (64,'YDT',-480,'n/a','n/a','Yukon Daylight Time','[RĎ'),
  (65,'HDT',-540,'n/a','n/a','Hawaii/Alaska Daylight Time','nC/AXJĎ'),
  (66,'YST',-540,'n/a','n/a','Yukon Standard Time','[RW'),
  (67,'AHST',-600,'n/a','n/a','Alaska-Hawaii Std Time','AXJ-nCW'),
  (68,'CAT',-600,'n/a','n/a','Central Alaska Time','AXJ'),
  (69,'NT',-660,'n/a','n/a','Nome Time','m['),
  (70,'IDLW',-720,'n/a','n/a','International Date Line West','tύXA');

-- add user.
INSERT INTO users (
    ID
   ,LOGIN_ID
   ,PASSWORD
   ,EMAIL
   ,LAST_NAME
   ,MIDDLE_NAME
   ,FIRST_NAME
   ,PHOTO_IMG_URL
   ,DEL_FLAG
   ,REGISTERED
   ,MODIFIED
   ,MODIFIED_USER_ID
) VALUES (
   1
   ,'admin_user'
   ,'admin_user'
   ,'admin@mail.org'
   ,'User'
   ,' '
   ,'Administrator'
   ,''
   ,'0'
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,1
);
INSERT INTO user_roles (USER_ID, ROLE_ID) VALUES (1,1);

-- add activity.
INSERT INTO activities (
    ID
   ,NAME
   ,DESCRIPTION
   ,START_DATE
   ,END_DATE
   ,DEL_FLAG
   ,REGISTERED
   ,MODIFIED
   ,MODIFIED_USER_ID
) VALUES (
    1
   ,'Test Project'
   ,'Description'
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end 
   ,'99999999'
   ,'0'
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,1
);

-- add activity member.
insert into activity_members (
    ACTIVITY_ID
   ,USER_ID 
   ,ROLE_ID
   ,START_DATE
   ,REGISTERED
   ,MODIFIED 
   ,MODIFIED_USER_ID
) values (
    1
   ,1
   ,1
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,RTRIM(CHAR(year(current_date))) ||
    CASE WHEN month(current_date) >9 then RTRIM(CHAR(month(current_date)))   else RTRIM('0'||CHAR(month(current_date)))  end ||
    CASE WHEN day(current_date)   >9 then RTRIM(CHAR(day(current_date)))     else RTRIM('0'||CHAR(day(current_date)))    end ||
    CASE WHEN hour(current_time)  >9 then RTRIM(CHAR(hour(current_time)))    else RTRIM('0'||CHAR(hour(current_time)))   end ||
    CASE WHEN minute(current_time)>9 then RTRIM(CHAR(minute(current_time)))  else RTRIM('0'||CHAR(minute(current_time))) end ||
    CASE WHEN second(current_time)>9 then RTRIM(CHAR(second(current_time)))  else RTRIM('0'||CHAR(second(current_time))) end 
   ,1
);

-- add activity relation.
INSERT INTO activity_relations (
    ACTIVITY_ID
   ,COLOR_ID 
   ,USER_ID
) VALUES (
    1
   ,1
   ,1
);

INSERT INTO classifications VALUES (0, 'T', 'Tasks');

-- tags master. GTD context.
INSERT INTO tags (value) VALUES('@phone');
INSERT INTO tags (value) VALUES('@fax');
INSERT INTO tags (value) VALUES('@web');
INSERT INTO tags (value) VALUES('@home');
INSERT INTO tags (value) VALUES('@office');
INSERT INTO tags (value) VALUES('@starbucks');
INSERT INTO tags (value) VALUES('@blog');
INSERT INTO tags (value) VALUES('@sns');
INSERT INTO tags (value) VALUES('@skype');