--
-- find by user id for timeline.
--
SELECT
    B.ID
   ,B.ACTIVITY_ID
   ,V.NAME AS ACTIVITY_NAME
   ,C.COLOR
   ,B.STATUS_ID
   ,B.TITLE
   ,D.BODY
   ,B.START_DATE
   ,B.POSTED_USER_ID
   ,B.REGISTERED
FROM
    meeting_basics B
    INNER JOIN meeting_basic_bodies D ON B.ID             = D.BASIC_ID
    INNER JOIN activity_relations A   ON A.USER_ID        = /*userId*/1 
                                     AND B.ACTIVITY_ID    = A.ACTIVITY_ID
    INNER JOIN activity_colors C      ON A.COLOR_ID       = C.ID
    INNER JOIN activities V           ON B.ACTIVITY_ID    = V.ID
WHERE
    B.POSTED_USER_ID = /*userId*/1
AND B.DEL_FLAG = '0'
ORDER BY
   B.REGISTERED