/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.tugboat.gtd.contents.meeting.dto;

import java.io.Serializable;

import org.apache.commons.lang.builder.ReflectionToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;
import org.seasar.tugboat.gtd.contents.meeting.entity.MeetingAgendaDiscussion;

/**
 * meeting agenda discussion dto
 * 
 * 
 */
public class MeetingAgendaDiscussionDto extends MeetingAgendaDiscussion implements Serializable{
    static final long serialVersionUID = 1L;

    /* phisical id */
    int pid_;

    public int getPid() {
        return pid_;
    }
    public void setPid(int pid) {
        this.pid_ = pid;
    }

    /* body converted textile */
    String bodyConvertedTextile_;

    public String getBodyConvertedTextile() {
        return bodyConvertedTextile_;
    }
    public void setBodyConvertedTextile(String bodyConvertedTextile) {
        this.bodyConvertedTextile_ = bodyConvertedTextile;
    }

    /* task description textile */
    String taskDescriptionTextile_;
    public String getTaskDescriptionTextile() {
        return taskDescriptionTextile_;
    }
    public void setTaskDescriptionTextile(String taskDescriptionTextile) {
        this.taskDescriptionTextile_ = taskDescriptionTextile;
    }
    
    /*
     * (non-Javadoc)
     * 
     * @see org.seasar.tugboat.gtd.contents.calendar.entity.CalendarEvent#toString()
     */
    public String toString() {
        return ReflectionToStringBuilder.toString(this,
                ToStringStyle.MULTI_LINE_STYLE);
    }

}
