/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.tugboat.gtd.contents.task.entity;

import java.io.Serializable;

import org.apache.commons.lang.builder.ReflectionToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;
import org.seasar.dao.annotation.tiger.Bean;
import org.seasar.dao.annotation.tiger.Column;

@Bean(table = "task_browse_statuses")
public class TaskBrowseStatus implements Serializable {
    static final long serialVersionUID = 1L;
    
    /* id */
    int id_;
    
    @Column("id")
    public int getId() {
        return id_;
    }
    
    public void setId(int id) {
        this.id_ = id;
    }
    
    /* status id */
    int statusId_;
    
    @Column("status_id")
    public int getStatusId() {
        return statusId_;
    }
    
    public void setStatusId(int statusId) {
        this.statusId_ = statusId;
    }
    
    /* user id */
    int userId_;
    
    @Column("user_id")
    public int getUserId() {
        return userId_;
    }

    public void setUserId(int userId) {
        this.userId_ = userId;
    }
    
    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    public String toString() {
        return ReflectionToStringBuilder.toString(this,
                ToStringStyle.MULTI_LINE_STYLE);
    }
}
