/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.tugboat.gtd.webservices.service;

/**
 * abstract RESTful web service.
 * 
 * @author yosuke
 * 
 */
public class DefaultRESTfulWebService {
    public static final String ACCEPT_ATOM = "application/atom+xml";
    public static final String ACCEPT_RSS  = "application/rss+xml";
    public static final String ACCEPT_JSON = "application/json";
    
    public static final String SETTER_USER_ID     = "setUserId";
    public static final String SETTER_ACCEPT_TYPE = "setAcceptType";
    	
    /* user id */
    protected int userId_;
    
    public int getUserId() {
        return userId_;
    }
    public void setUserId(int userId) {
        this.userId_ = userId;
    }
    
    /* accept type */
    protected String acceptType_;
    
    public String getAcceptType() {
        return acceptType_;
    }
    public void setAcceptType(String acceptType) {
        this.acceptType_ = acceptType;
    }
}
