package org.seasar.tugboat.gtd.contents.activity.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.activity.entity.ActivityRelation;

/**
 * test ActivityRelationsDao.
 * 
 * @author yosuke
 * 
 */
public class TestActivityRelationsDao extends S2DaoTestCase {
    ActivityRelationsDao activityRelationsDao_;

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        super.include("dicon/contents/activity/activityDao.dicon");
    }

    /**
     * test ActivityRelationsDao#insert.
     * 
     */
    public void testInsertTx() {
        super.readXlsWriteDb("activities.xls");

        ActivityRelation relation = new ActivityRelation();
        relation.setActivityId(9990);
        relation.setColorId(1);
        relation.setUserId(9990);
        this.activityRelationsDao_.insert(relation);
    }

    /**
     * test ActivityRelationsDao#update.
     * 
     */
    public void testUpdateTx() {
        super.readXlsWriteDb("activities.xls");

        ActivityRelation relation = new ActivityRelation();
        relation.setActivityId(9990);
        relation.setColorId(1);
        relation.setUserId(9990);
        this.activityRelationsDao_.insert(relation);

        relation.setColorId(2);
        this.activityRelationsDao_.update(relation);
    }

    /**
     * test ActivityRelationsDao#findNotUsedActivityColorByMemberId
     * 
     */
    public void testFindNotUsedActivityColorByMemberIdTx() {
        super.readXlsWriteDb("activities.xls");

        ActivityRelation relation = 
            this.activityRelationsDao_.findNotUsedActivityColorByMemberId(9990);

        super.assertEquals("[OK]", 11, relation.getColorId());
    }
}
