package org.seasar.tugboat.gtd.contents.task.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.task.entity.TaskBody;

/**
 * test TaskBodiesDao.
 * 
 * @author yosuke
 * 
 */
public class TestTaskBodiesDao extends S2DaoTestCase {
    TaskBodiesDao taskBodiesDao_;

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/task/taskDao.dicon");
    }

    /**
     * test #insert.
     * 
     */
    public void testInsertTx() {
        super.readXlsWriteDb("tasks.xls");

        TaskBody taskBody = new TaskBody();
        taskBody.setTaskId(9990);
        taskBody.setBody("nitidezza di scrittura.");
        this.taskBodiesDao_.insert(taskBody);
    }

    /**
     * test #update.
     * 
     */
    public void testUpdateTx() {
        super.readXlsWriteDb("tasks.xls");

        TaskBody taskBody = new TaskBody();
        taskBody.setTaskId(9990);
        taskBody.setBody("nitidezza di scrittura.");
        this.taskBodiesDao_.insert(taskBody);

        taskBody.setBody("Lexikon");
        this.taskBodiesDao_.update(taskBody);
    }

    /**
     * test #delete.
     * 
     */
    public void testDeleteTx() {
        super.readXlsWriteDb("tasks.xls");

        TaskBody taskBody = new TaskBody();
        taskBody.setTaskId(9990);
        taskBody.setBody("nitidezza di scrittura.");
        this.taskBodiesDao_.insert(taskBody);

        this.taskBodiesDao_.delete(taskBody);
    }
}
