package org.seasar.tugboat.gtd.contents.task.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.task.entity.TaskBrowsePerson;

/**
 * test TaskBrowsePersonsDao.
 * 
 * @author yosuke
 * 
 */
public class TestTaskBrowserPersonsDao extends S2DaoTestCase {
    TaskBrowserPersonsDao taskBrowsePersonsDao_;
    
    /*
     * (non-Javadoc)
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/task/taskDao.dicon");
    }
    
    /**
     * test #insert.
     *
     */
    public void testInsertTx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");
        
        int result = this.taskBrowsePersonsDao_.insert(9990, 9990);
        super.assertEquals("[OK]", 1, result);
    }
    
    /**
     * test #delete.
     *
     */
    public void testDeleteTx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");
        
        this.taskBrowsePersonsDao_.insert(9990, 9990);
        
        int result = this.taskBrowsePersonsDao_.delete(9990);
        super.assertEquals("[OK]", 1, result);
    }
    
    /**
     * test #findByUserId.
     *
     */
    public void testFindByUserIdTx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");
        
        this.taskBrowsePersonsDao_.insert(9990, 9990);
        this.taskBrowsePersonsDao_.insert(9991, 9990);
        this.taskBrowsePersonsDao_.insert(9992, 9990);
        
        TaskBrowsePerson[] result = 
            this.taskBrowsePersonsDao_.findByUserId(9990);
        
        super.assertEquals("[OK]", 3, result.length);
    }
}
