package org.seasar.tugboat.gtd.contents.task.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.task.entity.TaskBrowseStatus;

/**
 * test TaskBrowseStatusesDao.
 * 
 * @author yosuke
 * 
 */
public class TestTaskBrowserStatusesDao extends S2DaoTestCase {
    TaskBrowserStatusesDao taskBrowseStatusesDao_;

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/task/taskDao.dicon");
    }

    /**
     * test #insert.
     * 
     */
    public void testInsertTx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");

        int result = this.taskBrowseStatusesDao_.insert(1, 9990);
        super.assertEquals("[OK]", 1, result);
    }

    /**
     * test #delete.
     * 
     */
    public void testDeleteTx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");

        this.taskBrowseStatusesDao_.insert(1, 9990);

        int result = this.taskBrowseStatusesDao_.delete(9990);
        super.assertEquals("[OK]", 1, result);
    }

    /**
     * test #find by user id.
     * 
     */
    public void testFindByUserIdTx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");

        this.taskBrowseStatusesDao_.insert(1, 9990);
        this.taskBrowseStatusesDao_.insert(2, 9990);
        this.taskBrowseStatusesDao_.insert(3, 9990);

        TaskBrowseStatus[] result = 
            this.taskBrowseStatusesDao_.findByUserId(9990);
        
        super.assertEquals("[OK]", 3, result.length);
    }
}
