package org.seasar.tugboat.gtd.contents.task.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.task.entity.TaskCommentBody;

/**
 * test TaskCommentBodiesDao.
 * 
 * @author yosuke
 * 
 */
public class TestTaskCommentBodiesDao extends S2DaoTestCase {
    TaskCommentBodiesDao taskCommentBodiesDao_;

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/task/taskDao.dicon");
    }

    /**
     * test #insert.
     * 
     */
    public void testInsertTx() {
        super.readXlsWriteDb("task_comments.xls");

        TaskCommentBody commentBody = new TaskCommentBody();
        commentBody.setTaskId(9990);
        commentBody.setCommentId(9990);
        commentBody.setBody("comment:nitidezza di scrittura.");
        this.taskCommentBodiesDao_.insert(commentBody);
    }

    /**
     * test #update.
     * 
     */
    public void testUpdateTx() {
        super.readXlsWriteDb("task_comments.xls");

        TaskCommentBody commentBody = new TaskCommentBody();
        commentBody.setTaskId(9990);
        commentBody.setCommentId(9990);
        commentBody.setBody("comment:nitidezza di scrittura.");
        this.taskCommentBodiesDao_.insert(commentBody);

        commentBody.setBody("comment:Lexikon.");
        this.taskCommentBodiesDao_.update(commentBody);
    }

    /**
     * test #delete.
     * 
     */
    public void testDeleteTx() {
        super.readXlsWriteDb("task_comments.xls");

        TaskCommentBody commentBody = new TaskCommentBody();
        commentBody.setTaskId(9990);
        commentBody.setCommentId(9990);
        commentBody.setBody("comment:nitidezza di scrittura.");
        this.taskCommentBodiesDao_.insert(commentBody);
        this.taskCommentBodiesDao_.delete(commentBody);
    }
}
