package org.seasar.tugboat.gtd.contents.task.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.task.entity.TaskHistory;

/**
 * test TaskHistoriesDao.
 * 
 * @author yosuke
 * 
 */
public class TestTaskHistoriesDao extends S2DaoTestCase {
    TaskHistoriesDao taskHistoriesDao_;

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/task/taskDao.dicon");
    }

    /**
     * test TaskHistoriesDao#insert.
     * 
     */
    public void testInsertTx() {
        super.readXlsWriteDb("tasks.xls");

        TaskHistory history = new TaskHistory();
        history.setTaskId(9990);
        history.setStatusId(2);
        history.setUserId(9990);
        this.taskHistoriesDao_.insert(history);

        TaskHistory[] histories = this.taskHistoriesDao_.findByTaskId(9990);
        super.assertNotNull(histories);
        super.assertEquals("[OK]", 2, histories.length);
    }

    /**
     * test TaskHistoriesDao#findByTaskId.
     * 
     */
    public void testFindByTaskIdTx() {
        super.readXlsWriteDb("tasks.xls");

        TaskHistory[] histories = this.taskHistoriesDao_.findByTaskId(9990);
        super.assertNotNull(histories);
        super.assertEquals("[OK]", 1, histories.length);
    }
}
