package org.seasar.tugboat.gtd.contents.task.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.task.entity.TaskSelectView;

/**
 * test task select views dao.
 * 
 * @author yosuke
 * 
 */
public class TestTaskSelectViewsDao extends S2DaoTestCase {

    TaskSelectViewsDao taskSelectViewsDao_;
    
    /*
     * (non-Javadoc)
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/task/taskDao.dicon");
    }
    
    /**
     * test insert.
     *
     */
    public void testInsert1Tx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");
        TaskSelectView entity = new TaskSelectView();
        entity.setClassId(1);
        entity.setUserId(9990);
        
        this.taskSelectViewsDao_.insert(entity);
    }

    /**
     * test insert.
     *
     */
    public void testInsert2Tx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");
        
        TaskSelectView entity = new TaskSelectView();
        entity.setModeId(1);
        entity.setUserId(9990);
        
        this.taskSelectViewsDao_.insert(entity);
    }
    
    /**
     * test insert.
     *
     */
    public void testInsert3Tx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");
        
        TaskSelectView entity = new TaskSelectView();
        entity.setIsVisibleBrowser(1);
        entity.setUserId(9990);
        
        this.taskSelectViewsDao_.insert(entity);
    }
    
    /**
     * test update.
     *
     */
    public void testUpdateTx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");
        
        TaskSelectView entity = new TaskSelectView();
        entity.setIsVisibleBrowser(1);
        entity.setUserId(9990);
        
        this.taskSelectViewsDao_.insert(entity);
        
        entity.setIsVisibleBrowser(0);
        this.taskSelectViewsDao_.update(entity);
    }
    
    /**
     * test find by user id.
     *
     */
    public void testFindByUserIdTx(){
        super.readXlsWriteDb("taskBrowseRelated.xls");
        
        TaskSelectView entity = new TaskSelectView();
        entity.setIsVisibleBrowser(1);
        entity.setUserId(9990);
        this.taskSelectViewsDao_.insert(entity);
        
        TaskSelectView selectView = this.taskSelectViewsDao_.findByUserId(9990);
    }
}
