package org.seasar.tugboat.gtd.mailservices.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.mailservices.entity.TaskMail;

public class TestTaskMailsDao extends S2DaoTestCase {
    TaskMailsDao taskMailsDao_;
    
    public void setUp() {
        this.include("dicon/mailservices/mailDao.dicon");
    }
    
    public void testInsertTx() {
        super.readXlsWriteDb("tasks.xls");
        TaskMail mail = new TaskMail();
        mail.setTaskId(9990);
        mail.setSentBy(9990);
        mail.setMessageId("<XXXXXXXXXXXXXXXXXXX>");
        taskMailsDao_.insert(mail);
        
    }

    public void testFindLatestByTaskIdTx() {
        super.readXlsWriteDb("meeting_basics.xls");
        String messageId = "<xxxxxxxxxxxxx@xxxx>";
        
        TaskMail mail = new TaskMail();
        mail.setTaskId(9990);
        mail.setSentBy(9990);
        mail.setMessageId(messageId);
        taskMailsDao_.insert(mail);
        
        mail = taskMailsDao_.findLatestByTaskId(-10);
        assertNull(mail);
        mail = taskMailsDao_.findLatestByTaskId(9990);
        assertNotNull(mail);
        assertEquals(mail.getMessageId(),messageId);
        
        
    }

}
