package org.seasar.tugboat.gtd.container.servlet;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.seasar.teeda.ajax.AjaxServlet;

/**
 * tugboat ajax servlet.
 * 
 * @author yosuke
 * 
 */
public class TugboatAjaxServlet extends AjaxServlet {
    private static final long serialVersionUID = 1L;
    
    /*
     * (non-Javadoc)
     * @see org.seasar.teeda.ajax.AjaxServlet#doAjax(
     *   javax.servlet.http.HttpServletRequest,
     *   javax.servlet.http.HttpServletResponse)
     */
    protected void doAjax(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        
        try {
            super.doAjax(request, response);
        } catch (Exception e) {
            e.printStackTrace();
            
            response.setContentType("text/html; charset=UTF-8");
            response.setCharacterEncoding("UTF-8");
            response.setStatus(500);
            response.setHeader("Cache-Control", "no-cache");
            response.setHeader("Pragma", "no-cache");

            PrintWriter pw = response.getWriter();
            pw.write("The error occurred while create Ajax response.");
            pw.close();
        }
    }
}
