/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.tugboat.gtd.contents.meeting.dto;

import java.io.Serializable;

import org.apache.commons.lang.builder.ReflectionToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * meeting link dto
 * 
 * 
 */
public class MeetingRelatedTaskDto implements Serializable {
    static final long serialVersionUID = 1L;

    /* id */
    int id_;
    public int getId() {
        return id_;
    }
    public void setId(int id) {
        this.id_ = id;
    }

    /* type */
    int type_;
    public int getType() {
        return type_;
    }
    public void setType(int type) {
        this.type_ = type;
    }
    
    /* activity id */
    int activityId_;
    public int getActivityId() {
        return activityId_;
    }
    public void setActivityId(int activityId) {
        this.activityId_ = activityId;
    }
    
    /* activity name */
    String activityName_;
    public String getActivityName() {
        return activityName_;
    }
    public void setActivityName(String activityName) {
        this.activityName_ = activityName;
    }

    /* activity color */
    String activityColor_;
    public String getActivityColor() {
        return activityColor_;
    }
    public void setActivityColor(String activityColor) {
        this.activityColor_ = activityColor;
    }
    
    /* status id */
    int statusId_;
    public int getStatusId() {
        return statusId_;
    }
    public void setStatusId(int statusId) {
        this.statusId_ = statusId;
    }
    
    /* class Id */
    int classId_;
    public int getClassId() {
        return classId_;
    }
    public void setClassid(int classId) {
        this.classId_ = classId;
    }

    /* title */
    String title_;
    public String getTitle() {
        return title_;
    }
    public void setTitle(String title) {
        this.title_ = title;
    }

    /* person in charge id */
    int personId_;
    public int getPersonId() {
        return personId_;
    }
    public void setPersonId(int personId) {
        this.personId_ = personId;
    }
    
    /* person in charge first name */
    String personFirstName_;
    public String getPersonFirstName() {
        return personFirstName_;
    }
    public void setPersonFirstName(String personFirstName) {
        this.personFirstName_ = personFirstName;
    }
    
    /* person in charge last name */
    String personLastName_;
    public String getPersonLastName() {
        return personLastName_;
    }
    public void setPersonLastName(String personLastName) {
        this.personLastName_ = personLastName;
    }
    
    /*
     * (non-Javadoc)
     * 
     * @see org.seasar.tugboat.gtd.contents.calendar.entity.CalendarEvent#toString()
     */
    public String toString() {
        return ReflectionToStringBuilder.toString(this,
                ToStringStyle.MULTI_LINE_STYLE);
    }
}
