--
-- get due list by user id.
--
SELECT
    COUNT(*) AS RECORDS 
   ,T.dead_line
FROM
    task_relations R
    INNER JOIN tasks T ON R.TASK_ID = T.ID
WHERE
    R.person_id = /*user_id*/1
AND T.dead_line <> '99999999'
AND R.status_id <> 3
AND T.del_flag  = '0'
GROUP BY
    T.dead_line
ORDER BY
    T.dead_line