package org.seasar.tugboat.gtd.contents.meeting.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.meeting.entity.MeetingAgendaDiscussionBody;

/**
 * Test Meetinf agenda discussion bodies dao.
 * 
 * @author yosuke
 * 
 */
public class TestMeetingAgendaDiscussionBodiesDao extends S2DaoTestCase {
    MeetingAgendaDiscussionBodiesDao meetingAgendaDiscussionBodiesDao_;
    
    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/meeting/meetingDao.dicon");
    }
    
    /**
     * test #insert.
     *
     */
    public void testInsertTx() {
        super.readXlsWriteDb("meeting_basics.xls");
        MeetingAgendaDiscussionBody discussionBody = new MeetingAgendaDiscussionBody();
        discussionBody.setAgendaId(9990);
        discussionBody.setDiscussionId(9990);
        discussionBody.setBody("meeting agenda discussion body - insert 1.");
        int result = 
            this.meetingAgendaDiscussionBodiesDao_.insert(discussionBody);
        
        super.assertEquals(1, result);
    }
    
    /**
     * test #update.
     *
     */
    public void testUpdateTx() {
        super.readXlsWriteDb("meeting_basics.xls");
        MeetingAgendaDiscussionBody discussionBody = new MeetingAgendaDiscussionBody();
        discussionBody.setAgendaId(9990);
        discussionBody.setDiscussionId(9990);
        discussionBody.setBody("meeting agenda discussion body - insert 1.");
        int result = 
            this.meetingAgendaDiscussionBodiesDao_.insert(discussionBody);
        super.assertEquals(1, result);
        
        discussionBody.setBody("meeting agenda discussion body - insert 2.");
        result = this.meetingAgendaDiscussionBodiesDao_.update(discussionBody);
        super.assertEquals(2, result);;
    }
}
