package org.seasar.tugboat.gtd.contents.meeting.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.meeting.entity.MeetingBasicBody;

/**
 * Test meeting basic bodies dao.
 * 
 * @author yosuke
 * 
 */
public class TestMeetingBasicBodiesDao extends S2DaoTestCase {
    MeetingBasicBodiesDao meetingBasicBodiesDao_;
    
    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/meeting/meetingDao.dicon");
    }
    
    /**
     * test #insert.
     *
     */
    public void testInsertTx() {
        super.readXlsWriteDb("meeting_basics.xls");
        
        MeetingBasicBody basicBody = new MeetingBasicBody();
        basicBody.setBasicId(9990);
        basicBody.setBody("meeting body -1");
        
        int result = this.meetingBasicBodiesDao_.insert(basicBody);
        super.assertEquals(1, result);
    }
    
    /**
     * test #update.
     *
     */
    public void testUpdateTx() {
        super.readXlsWriteDb("meeting_basics.xls");
        
        MeetingBasicBody basicBody = new MeetingBasicBody();
        basicBody.setBasicId(9990);
        basicBody.setBody("meeting body -2");
        
        int result = this.meetingBasicBodiesDao_.update(basicBody);
        super.assertEquals(1, result);
    }
}
