package org.seasar.tugboat.gtd.contents.task.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.task.entity.TaskBrowseClassification;

/**
 * test TaskBrowseClassificationsDao.
 * 
 * @author yosuke
 * 
 */
public class TestTaskBrowserClassificationsDao extends S2DaoTestCase {

    TaskBrowserClassificationsDao taskBrowseClassificationsDao_;

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/task/taskDao.dicon");
    }

    /**
     * test #insert.
     * 
     */
    public void testInsertTx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");

        int result = this.taskBrowseClassificationsDao_.insert(1, 9990);
        super.assertEquals("[OK]", 1, result);
    }

    /**
     * test #delete.
     * 
     */
    public void testDeleteTx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");

        this.taskBrowseClassificationsDao_.insert(1, 9990);

        int result = this.taskBrowseClassificationsDao_.delete(9990);
        super.assertEquals("[OK]", 1, result);
    }

    /**
     * test #findByUserId.
     * 
     */
    public void testFindByUserIdTx() {
        super.readXlsWriteDb("taskBrowseRelated.xls");

        this.taskBrowseClassificationsDao_.insert(1, 9990);
        this.taskBrowseClassificationsDao_.insert(2, 9990);
        this.taskBrowseClassificationsDao_.insert(3, 9990);

        TaskBrowseClassification[] result = 
            this.taskBrowseClassificationsDao_.findByUserId(9990);

        super.assertEquals("[OK]", 3, result.length);
    }

}
