package org.seasar.tugboat.gtd.contents.task.dao;

import org.seasar.dao.unit.S2DaoTestCase;
import org.seasar.tugboat.gtd.contents.task.entity.TaskCommentRelation;

/**
 * test TaskCommentRelatiosDao.
 * 
 * @author yosuke
 * 
 */
public class TestTaskCommentRelatiosDao extends S2DaoTestCase {
    TaskCommentRelatiosDao taskCommentRelatiosDao_;

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    public void setUp() {
        this.include("dicon/contents/task/taskDao.dicon");
    }

    /**
     * test TaskCommentRelatiosDao#findByCommentId.
     * 
     */
    public void testFindByCommentIdTx() {
        super.readXlsWriteDb("task_comment_bodies.xls");
        
        TaskCommentRelation relation = 
            this.taskCommentRelatiosDao_.findByCommentId(9990);
        
        super.assertNotNull(relation);
        super.assertEquals("", 9990, relation.getActivityId());
        super.assertEquals("", 9990, relation.getTaskId());
        super.assertEquals("", 9990, relation.getUserId());
        super.assertEquals("", true, "Comment Body -1".equals(relation.getComment()));
    }
}
